--
-- $Id$
--
-- Aanmaken tabel voor rapportage op tracking uitlenen NS business cards

DEFINE thisfile = 'STAM#57410.SQL'
DEFINE dbuser   = '^STAM'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
COLUMN fcltcusterr NEW_VALUE fcltcusterr NOPRINT;
WHENEVER SQLERROR CONTINUE;
SELECT adm.getscriptspoolfile('&thisfile') AS fcltlogfile FROM DUAL;
SPOOL &fcltlogfile
WHENEVER SQLERROR EXIT;
SELECT adm.checkscriptcust('&dbuser') AS fcltcusterr FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SET DEFINE OFF

------ payload begin ------

CREATE TABLE STAM_NS_BUSINESS_CARDS
(
    ins_deel_key                 NUMBER (10),
    uitgeleend_aan               VARCHAR2 (60),
    uitgifte                     DATE,
    inname                       DATE,
    cost_center                  VARCHAR2 (100),
    destination                  VARCHAR2 (100),
    handout_date                 VARCHAR2 (100),
    expected_return              VARCHAR2 (100),
    fac_tracking_uitgifte_key    NUMBER (10),
    fac_tracking_inname_key      NUMBER (10)
);

COMMIT;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
